Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.alternative_data.get_company_esg(symbol="AAPL")
assert res.company_esg_response is not None
# Handle response
print(res.company_esg_response)curl --request GET \
--url https://api.aries.com/v1/stock/esg \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stock/esg', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/stock/esg",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/stock/esg"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/stock/esg")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/stock/esg")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"adultContent": false,
"alcoholic": false,
"animalTesting": false,
"antitrust": "14",
"asianEmployeePercentage": 33.22,
"asianManagementPercentage": 34.95,
"blackEmployeePercentage": 8.1,
"blackManagementPercentage": 3.4,
"carbonReductionPolicy": "True",
"catholic": true,
"co2EmissionScope1": 55200,
"co2EmissionScope2": 1224500,
"co2EmissionScope3": 15070900,
"co2EmissionTotal": 1279700,
"coalEnergy": false,
"ecofriendlyPackaging": true,
"environmentalReporting": true,
"firearms": false,
"fuelEfficiencyConsumption": false,
"gambling": false,
"gmo": false,
"hazardousSubstances": true,
"hispanicLatinoEmployeePercentage": 14.27,
"hispanicLatinoManagementPercentage": 7.55,
"humanRightsPolicy": true,
"militaryContract": false,
"nuclear": false,
"pesticides": null,
"recallPolicySafety": false,
"recyclingPolicy": true,
"stakeholderEngagement": true,
"tobacco": false,
"totalWomenPercentage": 35,
"waterEfficiencyConsumption": true,
"whiteEmployeePercentage": 40.54,
"whiteManagementPercentage": 51.31,
"workplaceHealthSafety": true
},
"environmentScore": 61.893806,
"governanceScore": 87.10112,
"socialScore": 61.788643,
"symbol": "AAPL",
"totalESGScore": 70.26119
}Stock Alternative
Company ESG
Retrieve company ESG (Environmental, Social, Governance) scores for a symbol. Useful for sustainable investing and risk assessment.
Use Case: Display current ESG scores and key indicators on a stock profile or screener.
GET
/
v1
/
stock
/
esg
Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.alternative_data.get_company_esg(symbol="AAPL")
assert res.company_esg_response is not None
# Handle response
print(res.company_esg_response)curl --request GET \
--url https://api.aries.com/v1/stock/esg \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stock/esg', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/stock/esg",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/stock/esg"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/stock/esg")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/stock/esg")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"adultContent": false,
"alcoholic": false,
"animalTesting": false,
"antitrust": "14",
"asianEmployeePercentage": 33.22,
"asianManagementPercentage": 34.95,
"blackEmployeePercentage": 8.1,
"blackManagementPercentage": 3.4,
"carbonReductionPolicy": "True",
"catholic": true,
"co2EmissionScope1": 55200,
"co2EmissionScope2": 1224500,
"co2EmissionScope3": 15070900,
"co2EmissionTotal": 1279700,
"coalEnergy": false,
"ecofriendlyPackaging": true,
"environmentalReporting": true,
"firearms": false,
"fuelEfficiencyConsumption": false,
"gambling": false,
"gmo": false,
"hazardousSubstances": true,
"hispanicLatinoEmployeePercentage": 14.27,
"hispanicLatinoManagementPercentage": 7.55,
"humanRightsPolicy": true,
"militaryContract": false,
"nuclear": false,
"pesticides": null,
"recallPolicySafety": false,
"recyclingPolicy": true,
"stakeholderEngagement": true,
"tobacco": false,
"totalWomenPercentage": 35,
"waterEfficiencyConsumption": true,
"whiteEmployeePercentage": 40.54,
"whiteManagementPercentage": 51.31,
"workplaceHealthSafety": true
},
"environmentScore": 61.893806,
"governanceScore": 87.10112,
"socialScore": 61.788643,
"symbol": "AAPL",
"totalESGScore": 70.26119
}Query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
symbol | string | Yes | Stock ticker symbol (e.g. AAPL). |
Response
Success returns200 OK with a JSON object containing ESG scores and related indicators (e.g. environment, social, governance, total score).
Errors: 400 when symbol is missing, 401 unauthorized, 404 when no data found, 500 server error.Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
Query Parameters
Stock ticker to query. Send the plain uppercase symbol exactly as you'd type it on a brokerage screen, e.g. AAPL, MSFT.
Example:
"AAPL"
Response
Company ESG data.
Latest ESG (environmental, social, governance) scores and disclosures for a company.
Was this page helpful?